Cyan Web API - Version 1


GET api/deviceApplications

            Gets all DeviceApplications.
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "deviceId": "83fb2f8f-c098-43d0-90f1-9b880b7eb097",
    "applicationId": "5ec7bd6a-6171-4ca0-bc21-6b1fcff57e50",
    "isLicensed": true,
    "createdDateUtc": "2026-11-13T23:59:37.7731274+00:00",
    "updatedDateUtc": "2026-11-13T23:59:37.7731274+00:00"
  },
  {
    "deviceId": "83fb2f8f-c098-43d0-90f1-9b880b7eb097",
    "applicationId": "5ec7bd6a-6171-4ca0-bc21-6b1fcff57e50",
    "isLicensed": true,
    "createdDateUtc": "2026-11-13T23:59:37.7731274+00:00",
    "updatedDateUtc": "2026-11-13T23:59:37.7731274+00:00"
  },
  {
    "deviceId": "83fb2f8f-c098-43d0-90f1-9b880b7eb097",
    "applicationId": "5ec7bd6a-6171-4ca0-bc21-6b1fcff57e50",
    "isLicensed": true,
    "createdDateUtc": "2026-11-13T23:59:37.7731274+00:00",
    "updatedDateUtc": "2026-11-13T23:59:37.7731274+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfDeviceApplicationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <DeviceApplicationRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:37.7731274+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:37.7731274+00:00</UpdatedDateUtc>
    <ApplicationId>5ec7bd6a-6171-4ca0-bc21-6b1fcff57e50</ApplicationId>
    <DeviceId>83fb2f8f-c098-43d0-90f1-9b880b7eb097</DeviceId>
    <IsLicensed>true</IsLicensed>
  </DeviceApplicationRepresentation>
  <DeviceApplicationRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:37.7731274+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:37.7731274+00:00</UpdatedDateUtc>
    <ApplicationId>5ec7bd6a-6171-4ca0-bc21-6b1fcff57e50</ApplicationId>
    <DeviceId>83fb2f8f-c098-43d0-90f1-9b880b7eb097</DeviceId>
    <IsLicensed>true</IsLicensed>
  </DeviceApplicationRepresentation>
  <DeviceApplicationRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:37.7731274+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:37.7731274+00:00</UpdatedDateUtc>
    <ApplicationId>5ec7bd6a-6171-4ca0-bc21-6b1fcff57e50</ApplicationId>
    <DeviceId>83fb2f8f-c098-43d0-90f1-9b880b7eb097</DeviceId>
    <IsLicensed>true</IsLicensed>
  </DeviceApplicationRepresentation>
</ArrayOfDeviceApplicationRepresentation>